﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TestApp
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            persons = new List<Person>();
            for (int i = 1; i < 11; i++)
            {
                persons.Add(new Person()
                {
                    Id = i,
                    Name = "Person " + i
                });
            }
        }
        List<Person> persons = null;
        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            this.datagrid.ItemsSource = persons;
        }
        Border border = null;
        private void MouseOverElement_MouseMove(object sender, MouseEventArgs e)
        {
            border = (sender as Border);
            (sender as Border).Background = (SolidColorBrush)(new BrushConverter().ConvertFrom("#FFC0E0EA"));
        }

        private void MouseOverElement_MouseLeave(object sender, MouseEventArgs e)
        {
            (sender as Border).Background = new SolidColorBrush(Colors.Gainsboro);
        }

    }

    public class Person
    {
        public int Id { get; set; }
        public string Name { get; set; }
    }
}
